Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jedi.parser
Class ASTCompilationUnit

    java.lang.Object
      |
      +--jedi.parser.SimpleNode
            |
            +--jedi.parser.ASTCompilationUnit

All Implemented Interfaces:
  Node

public class ASTCompilationUnit
extends SimpleNode

Fields inherited from class jedi.parser.SimpleNode
`children, first_token, id, last_token, parent, parser`

Constructor Summary
`ASTCompilationUnit(int id)`
`ASTCompilationUnit(JavaParser p, int id)`

Method Summary
`java.util.Vector` | `getClasses()`
`java.lang.String` | `getFilename()`
`java.util.Vector` | `getImports()`
`java.util.Vector` | `getInterfaces()`
`java.lang.String` | `getPackagename()`
`void` | `print()`
`void` | `setFilename(java.lang.String s)`

Methods inherited from class jedi.parser.SimpleNode
`dump, getJavaDoc, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ASTCompilationUnit

    public ASTCompilationUnit(int id)

### ASTCompilationUnit

    public ASTCompilationUnit(JavaParser p,
                              int id)

Method Detail

### getClasses

    public java.util.Vector getClasses()

### getFilename

    public java.lang.String getFilename()

### getImports

    public java.util.Vector getImports()

### getInterfaces

    public java.util.Vector getInterfaces()

### getPackagename

    public java.lang.String getPackagename()

### print

    public void print()

### setFilename

    public void setFilename(java.lang.String s)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD